org.apache.ignite.ml.knn.utils.indices

## Enum SpatialIndexType

- java.lang.Object
- - java.lang.Enum<SpatialIndexType>
  - - org.apache.ignite.ml.knn.utils.indices.SpatialIndexType

- All Implemented Interfaces:
    Serializable, Comparable<SpatialIndexType>

      public enum SpatialIndexType
      extends Enum<SpatialIndexType>

  Spatial index type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRAY` Array based spatial index (see `ArraySpatialIndex`.
    `BALL_TREE` Ball tree based spatial index (see `BallTreeSpatialIndex`).
    `KD_TREE` KD tree based spatial index (see `KDTreeSpatialIndex`).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SpatialIndexType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SpatialIndexType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARRAY

          public static final SpatialIndexType ARRAY

      Array based spatial index (see `ArraySpatialIndex`.

    - #### KD_TREE

          public static final SpatialIndexType KD_TREE

      KD tree based spatial index (see `KDTreeSpatialIndex`).

    - #### BALL_TREE

          public static final SpatialIndexType BALL_TREE

      Ball tree based spatial index (see `BallTreeSpatialIndex`).

  - ### Method Detail

    - #### values

          public static SpatialIndexType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpatialIndexType c : SpatialIndexType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpatialIndexType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022